Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-cli
Version:    0.5.0
Release:    alt1_9
Summary:    Node.js module for rapidly building command line apps
# License text is included in README.md
License:    MIT
URL:        https://github.com/chriso/cli
Source0:    http://registry.npmjs.org/cli/-/cli-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
cli is a toolkit for rapidly building command line apps. It includes:

 - Full featured options/arguments parser
 - Plugin support for adding common options and switches
 - Helper methods for working with input/output and spawning child processes
 - Output colored/styled messages, progress bars or spinners
 - Command auto-completion and glob support


%prep
%setup -q -n package
find . -type f -exec chmod 0644 '{}' \;


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cli
cp -pr package.json cli.js index.js \
    %{buildroot}%{nodejs_sitelib}/cli

%nodejs_symlink_deps


%files
%doc README.md examples/
%{nodejs_sitelib}/cli


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_9
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4.2-alt1_6
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4.2-alt1_5
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.4.2-alt1_2
- initial import

